OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
InitialiseAttributesOp< PointDataTreeType, PointIndexTreeType > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | PointIndexLeafNode = typename PointIndexTreeType::LeafNodeType
using | IndexArray = typename PointIndexLeafNode::IndexArray

## Public Member Functions
| InitialiseAttributesOp (const PointIndexTreeType &pointIndexTree, const AttributeSet::Descriptor::Ptr &attributeDescriptor)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const PointIndexTreeType & | mPointIndexTree
const AttributeSet::Descriptor::Ptr & | mAttributeDescriptor

## Member Typedef Documentation

## ◆ IndexArray

using IndexArray = typename PointIndexLeafNode::IndexArray

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ PointIndexLeafNode

using PointIndexLeafNode = typename PointIndexTreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ InitialiseAttributesOp()

InitialiseAttributesOp | ( | const PointIndexTreeType & | pointIndexTree,
|  | const AttributeSet::Descriptor::Ptr & | attributeDescriptor
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mAttributeDescriptor

const AttributeSet::Descriptor::Ptr& mAttributeDescriptor

## ◆ mPointIndexTree

const PointIndexTreeType& mPointIndexTree

The documentation for this struct was generated from the following file:

- PointConversion.h